ReferenceNotifications
Change the caller's preferences for some events
PUT
Events not listed keep their value. 400 invalid_event for an unknown event; 422 not_receivable (details.events) for an event the caller can't receive. Not audited (personal settings).
application/json- body
items*array<>Items
1 <= items <= 8Updated preferences
application/json- response
data*curl -X PUT 'https://mcp.example.com/v1/me/notification-preferences' \ -H 'Content-Type: application/json' \ -d '{ "items": [ { "event": "server.unhealthy" } ]}'{ "data": { "emailAvailable": true, "emailAddress": "string", "items": [ { "event": "server.unhealthy", "inApp": true, "email": true, "custom": true } ] }}